summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/bashburn
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/bashburn')
-rw-r--r--app-cdr/bashburn/Manifest1
-rw-r--r--app-cdr/bashburn/bashburn-3.1.0.ebuild48
-rw-r--r--app-cdr/bashburn/metadata.xml5
3 files changed, 54 insertions, 0 deletions
diff --git a/app-cdr/bashburn/Manifest b/app-cdr/bashburn/Manifest
new file mode 100644
index 00000000000..08d28adc0d8
--- /dev/null
+++ b/app-cdr/bashburn/Manifest
@@ -0,0 +1 @@
+DIST BashBurn-3.1.0.tar.gz 91295 SHA256 b78d5de1ee1b6e19aeee5b2f37a12aa6d02c665fd7645cad626ae7267351bb3c SHA512 9bded7a67b762be89993a6a7564d6a32f4cac209f9d16a4a861a5a36db92eda6436c2b80b89d57c051bbdafb0549999e54ce6e26477f664481cf60092eef90e5 WHIRLPOOL f21a3ea005c129f1df0bcda6d1a323934c2648620516d491539bbe17b99b8c97f5cd339fbc903a74450ba207941f7d3c3d0bde255eba0cffeb82df3c7665c9b6
diff --git a/app-cdr/bashburn/bashburn-3.1.0.ebuild b/app-cdr/bashburn/bashburn-3.1.0.ebuild
new file mode 100644
index 00000000000..4e9c800283d
--- /dev/null
+++ b/app-cdr/bashburn/bashburn-3.1.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+MY_P=BashBurn-${PV}
+
+DESCRIPTION="A shell script for burning optical media"
+HOMEPAGE="http://bashburn.dose.se/"
+SRC_URI="http://bashburn.dose.se/index.php?s=file_download&id=25 -> ${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ~ppc64 sparc x86"
+IUSE=""
+
+DEPEND="app-shells/bash"
+RDEPEND="${DEPEND}
+ app-cdr/cdrdao
+ app-cdr/dvd+rw-tools
+ media-libs/flac
+ || ( dev-libs/libcdio-paranoia media-sound/cdparanoia )
+ media-sound/lame
+ || ( media-sound/mpg123 media-sound/mpg321 )
+ media-sound/normalize
+ media-sound/vorbis-tools
+ virtual/cdrtools
+ virtual/eject"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ # Fix for "warning: jobserver unavailable: using -j1."
+ sed -i -e 's:make -C:$(MAKE) -C:' Makefile || die
+}
+
+src_install() {
+ ./Install.sh --prefix="${D}"/usr || die
+
+ # Remove /var/tmp/portage from installed script
+ sed -i \
+ -e "/BBROOTDIR=/s:'.*':'/usr/lib/Bashburn/lib':" \
+ "${ED}"/usr/lib/Bashburn/lib/BashBurn.sh || die
+
+ rm -rf "${ED}"/usr/lib/Bashburn/lib/docs
+ dodoc docs/{ChangeLog,CREDITS,FAQ,HOWTO,README,TODO,TRANSLATION_RULE}
+}
diff --git a/app-cdr/bashburn/metadata.xml b/app-cdr/bashburn/metadata.xml
new file mode 100644
index 00000000000..bb93fa2613e
--- /dev/null
+++ b/app-cdr/bashburn/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>media-optical</herd>
+</pkgmetadata>